Loading...
Searching...
No Matches
juce::AudioDeviceManager::AudioDeviceSetup Struct Reference

## Detailed Description

This structure holds a set of properties describing the current audio setup.

An AudioDeviceManager uses this class to save/load its current settings, and to specify your preferred options when opening a device.

See also
  AudioDeviceManager::setAudioDeviceSetup(), AudioDeviceManager::initialise()

The documentation for this struct was generated from the following file:

- juce_audio_devices/audio_io/juce_AudioDeviceManager.h

## Public Member Functions

bool | operator== (const AudioDeviceSetup &) const
bool | operator!= (const AudioDeviceSetup &) const

## Public Attributes

String | outputDeviceName
| The name of the audio device used for output.
String | inputDeviceName
| The name of the audio device used for input.
double | sampleRate = 0
| The current sample rate.
int | bufferSize = 0
| The buffer size, in samples.
BigInteger | inputChannels
| The set of active input channels.
bool | useDefaultInputChannels = true
| If this is true, it indicates that the inputChannels array should be ignored, and instead, the device's default channels should be used.
BigInteger | outputChannels
| The set of active output channels.
bool | useDefaultOutputChannels = true
| If this is true, it indicates that the outputChannels array should be ignored, and instead, the device's default channels should be used.

## Member Functions

## operator==()

bool juce::AudioDeviceManager::AudioDeviceSetup::operator== | ( | const AudioDeviceSetup & |  | ) | const

## operator!=()

bool juce::AudioDeviceManager::AudioDeviceSetup::operator!= | ( | const AudioDeviceSetup & |  | ) | const

## Member Data Documentation

## outputDeviceName

String juce::AudioDeviceManager::AudioDeviceSetup::outputDeviceName

The name of the audio device used for output.

The name has to be one of the ones listed by the AudioDeviceManager's currently selected device type. This may be the same as the input device.

## inputDeviceName

String juce::AudioDeviceManager::AudioDeviceSetup::inputDeviceName

The name of the audio device used for input.

This may be the same as the output device.

## sampleRate

double juce::AudioDeviceManager::AudioDeviceSetup::sampleRate = 0

The current sample rate.

This rate is used for both the input and output devices. A value of 0 indicates that you don't care what rate is used, and the device will choose a sensible rate for you.

## bufferSize

int juce::AudioDeviceManager::AudioDeviceSetup::bufferSize = 0

The buffer size, in samples.

This buffer size is used for both the input and output devices. A value of 0 indicates the default buffer size.

## inputChannels

BigInteger juce::AudioDeviceManager::AudioDeviceSetup::inputChannels

The set of active input channels.

The bits that are set in this array indicate the channels of the input device that are active. If useDefaultInputChannels is true, this value is ignored.

## useDefaultInputChannels

bool juce::AudioDeviceManager::AudioDeviceSetup::useDefaultInputChannels = true

If this is true, it indicates that the inputChannels array should be ignored, and instead, the device's default channels should be used.

## outputChannels

BigInteger juce::AudioDeviceManager::AudioDeviceSetup::outputChannels

The set of active output channels.

The bits that are set in this array indicate the channels of the input device that are active. If useDefaultOutputChannels is true, this value is ignored.

## useDefaultOutputChannels

bool juce::AudioDeviceManager::AudioDeviceSetup::useDefaultOutputChannels = true

If this is true, it indicates that the outputChannels array should be ignored, and instead, the device's default channels should be used.

### Purchase

Get JUCE

### Discover

What's New in JUCE Features

### Learn

Documentaion Tutorials Made with JUCE Resources

### Support

JUCE Forum Newsletter Archive

### About

Contact Us JUCE Legal JUCE Licensing FAQ

### Events

Audio Developer Conference
© Raw Material Software Limited